Bitcoin Difficulty Ribbon

8-window simple moving average ribbon of Bitcoin's network difficulty.

The Difficulty Ribbon: 9/14/25/40/60/90/128/200-day SMAs of network difficulty. Compression of the ribbon has historically preceded major price bottoms.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/difficulty-ribbon/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

9 metrics
Metric

Network Difficulty

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    127450789715843
  ],
  [
    1788739200000,
    127450789715843
  ],
  [
    1788825600000,
    127450789715843
  ]
]
Metric

Network Difficulty Sma 9

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_9?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    126172346140229.4
  ],
  [
    1788739200000,
    126354980936745.7
  ],
  [
    1788825600000,
    126537615733261.9
  ]
]
Metric

Network Difficulty Sma 14

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_14?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    126041892714146.4
  ],
  [
    1788739200000,
    126159300797621.1
  ],
  [
    1788825600000,
    126276708881095.9
  ]
]
Metric

Network Difficulty Sma 25

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_25?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    126607685259286.3
  ],
  [
    1788739200000,
    126606522620172.4
  ],
  [
    1788825600000,
    126605359981058.4
  ]
]
Metric

Network Difficulty Sma 40

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_40?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    126622662029232.3
  ],
  [
    1788739200000,
    126653144094081.7
  ],
  [
    1788825600000,
    126683626158931
  ]
]
Metric

Network Difficulty Sma 60

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_60?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    126965987045731.1
  ],
  [
    1788739200000,
    126859002648656.7
  ],
  [
    1788825600000,
    126752018251582.3
  ]
]
Metric

Network Difficulty Sma 90

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_90?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    128258905648598.7
  ],
  [
    1788739200000,
    128131077123083.1
  ],
  [
    1788825600000,
    128003248597567.5
  ]
]
Metric

Network Difficulty Sma 128

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_128?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    130490572637526.8
  ],
  [
    1788739200000,
    130448977435008.3
  ],
  [
    1788825600000,
    130409749143108.4
  ]
]
Metric

Network Difficulty Sma 200

Data used by the Bitcoin Difficulty Ribbon chart.

Endpoint
https://newhedge.io/api/v2/metrics/difficulty-ribbon/network_difficulty_sma_200?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1788652800000,
    133736673318245.5
  ],
  [
    1788739200000,
    133728034352394.1
  ],
  [
    1788825600000,
    133643296293382.8
  ]
]